WinDom: udef_lib_struct Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# udef_lib_struct Struct Reference

`#include <globals.h>`

## Public Types
enum | { udlib_internal, udlib_ldg }
enum | { udlib_simple, udlib_freedom }
## Data Fields
LINKABLE | lnk
APPENV * | env
enum udef_lib_struct:: { ... } | type
enum udef_lib_struct:: { ... } | mode
char | filename [256]
void * | udlib_descriptor
long __CDECL(* | libinit )(APPENV *)
void __CDECL(* | udconfig )(UDLIB_CONFIG *, APPENV *)
void __CDECL(* | libexit )(APPENV *)
long __CDECL(* | objc_extended )(OBJECT *, long, long, APPENV *)
void __CDECL(* | objc_extfree )(OBJECT *, long, APPENV *)
char *__CDECL(* | objc_string )(OBJECT *, long, char *, APPENV *)
long __CDECL(* | objc_char )(OBJECT *, long, long, APPENV *)
long __CDECL(* | objc_edit )(OBJECT *, long, long, short *, long, long, GRECT *, APPENV *)
long __CDECL(* | objc_edpos )(OBJECT *, long, long, long, APPENV *)
long __CDECL(* | objc_unextnd )(OBJECT *, long, APPENV *)
LIST | ob_list

## Member Enumeration Documentation

anonymous enum

  | Enumerator:
  udlib_internal |
  udlib_ldg |

anonymous enum

  | Enumerator:
  udlib_simple |
  udlib_freedom |

## Field Documentation

APPENV* udef_lib_struct::env

char udef_lib_struct::filename[256]

void __CDECL(* udef_lib_struct::libexit)(APPENV *)

long __CDECL(* udef_lib_struct::libinit)(APPENV *)

LINKABLE udef_lib_struct::lnk

enum { ... } udef_lib_struct::mode

LIST udef_lib_struct::ob_list

long __CDECL(* udef_lib_struct::objc_char)(OBJECT *, long, long, APPENV *)

long __CDECL(* udef_lib_struct::objc_edit)(OBJECT *, long, long, short *, long, long, GRECT *, APPENV *)

long __CDECL(* udef_lib_struct::objc_edpos)(OBJECT *, long, long, long, APPENV *)

long __CDECL(* udef_lib_struct::objc_extended)(OBJECT *, long, long, APPENV *)

void __CDECL(* udef_lib_struct::objc_extfree)(OBJECT *, long, APPENV *)

char* __CDECL(* udef_lib_struct::objc_string)(OBJECT *, long, char *, APPENV *)

long __CDECL(* udef_lib_struct::objc_unextnd)(OBJECT *, long, APPENV *)

enum { ... } udef_lib_struct::type

void __CDECL(* udef_lib_struct::udconfig)(UDLIB_CONFIG *, APPENV *)

void* udef_lib_struct::udlib_descriptor

The documentation for this struct was generated from the following file:

- globals.h